## blender-doc 3.6

=== Makefile ===
# -*- mode: gnumakefile; tab-width: 4; indent-tabs-mode: t; -*-
# vim: tabstop=4

define HELP_TEXT
Custom Targets
==============

Convenience targets provided for building docs.

- livehtml (default)   to auto build on file changes on host on localhost.
- epubpdf              to convert an epub file to PDF.

Translations
------------

- update_po            to update PO message catalogs.
- report_po_progress   to check the progress/fuzzy strings.

Checking
--------

- check_structure      to check the structure of all .rst files.
- check_syntax         to check the syntax of all .rst files.
- check_spelling       to check spelling for text in RST files.

Utilities
---------

- update               to update the repository to the most recent version.
endef
# HELP_TEXT (end)

# -----------
# System Vars
OS:=$(shell uname -s)

# End System Vars
# ---------------

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXBUILD     ?= sphinx-build
SPHINXAUTOBUILD ?= sphinx-autobuild
SOURCEDIR        = ./manual
BUILDDIR        ?= build
BF_LANG         ?= en
SPHINXOPTS      ?= -j auto -D language='$(BF_LANG)'
LATEXOPTS       ?= "-interaction nonstopmode"


# -----------------------
# for echoing output only
ifeq ($(OS), Darwin)
	OPEN_CMD="open" # MACOS.
else
	OPEN_CMD="xdg-open" # Linux/FreeBSD.
endif
# end output for echoing
# ----------------------


ifneq ("$(shell which $(SPHINXAUTOBUILD) 2> /dev/null)", "")
	.DEFAULT_GOAL := livehtml
else
	.DEFAULT_GOAL := html
endif


# --------------------
# Check commands exist

.SPHINXBUILD_EXISTS:
	@if ! which $(SPHINXBUILD) > /dev/null 2>&1; then \
		echo -e >&2 \
			"The '$(SPHINXBUILD)' command was not found.\n"\
			"Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to\n"\
			"point to the full path of the '$(SPHINXBUILD)' executable.\n"\
			"Alternatively you can add the directory with the executable to your PATH.\n"\
			"If you don't have Sphinx installed, grab it from http://sphinx-doc.org)\n"; \
		false; \
	fi

# End command checking
# --------------------

html: .SPHINXBUILD_EXISTS
	$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@echo "To view, run:"
	@echo "  "$(OPEN_CMD) $(shell pwd)"/$(BUILDDIR)/html/index.html"

livehtml:
	@$(SPHINXAUTOBUILD) --open-browser --delay 0 "$(SOURCEDIR)" "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)

epubpdf: .SPHINXBUILD_EXISTS
	@$(SPHINXBUILD) -M epub "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@ebook-convert $(BUILDDIR)/epub/*.epub blender_manual.pdf \
		--pdf-default-font-size 16 \
		--pdf-mono-font-size 14 \
		--margin-left 0 \
		--margin-right 0 \
		--pdf-page-margin-left 50 \
		--pdf-page-margin-right 50 \
		--pdf-page-margin-top 50 \
		--pdf-page-margin-bottom 50 \

check_syntax:
	@python3 tools_rst/rst_check_syntax.py --long --title --kbd > rst_check_syntax.log
	@echo "Lines:" `cat rst_check_syntax.log | wc -l`
	@python3 tools/open_quickfix_in_editor.py rst_check_syntax.log
	@rm rst_check_syntax.log

check_structure:
	@python3 tools_rst/rst_check_images.py

check_spelling:
	@python3 tools_rst/rst_check_spelling.py

checkout_locale:
	@python3 ./tools_make/checkout_locale.py

update_po:
	@python3 ./tools_maintenance/update_po.py

report_po_progress:
	@python3 tools_report/report_translation_progress.py --quiet \
	         `find locale/ -maxdepth 1 -mindepth 1 -type d -not -iwholename '*.git*' -printf 'locale/%f\n' | sort`

update:
	@python3 ./tools_make/make_update.py

# ----------------------
# Help for build targets

export HELP_TEXT
help:
	@echo ""
	@echo "Sphinx"
	@echo "======"
	@echo ""
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@echo ""
	@echo "$$HELP_TEXT"

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option. $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile .SPHINXBUILD_EXISTS
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== requirements.txt ===
sphinx==6.0.1

# Sphinx dependencies that are important
Jinja2==3.1.2
Pygments==2.14.0
docutils==0.18.1
snowballstemmer==2.2.0
babel==2.11.0
requests==2.28.2

# Only needed for building translations.
sphinx-intl==2.1.0

# Only needed to match the theme used for the official documentation.
# Without this theme, the default theme will be used.
sphinx_rtd_theme==1.2.0

# Only for convenience, allows live updating while editing RST files.
# Access by running:
#   make livehtml
sphinx-autobuild==2021.3.14

# Required for spell-checking
pyenchant

=== debian/changelog ===
blender-doc (3.6-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Nov 2023 19:13:52 +0100

blender-doc (3.6-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Jonathan Rubenstein <jrubcop@gmail.com>  Wed, 01 Nov 2023 15:16:42 +0200

blender-doc (3.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1006255)

 -- Jonathan Rubenstein <jrubcop@gmail.com>  Tue, 17 Oct 2023 18:42:44 +0300

=== debian/control ===
Source: blender-doc
Section: doc
Priority: optional
Maintainer: Jonathan Rubenstein <jrubcop@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 dh-strip-nondeterminism,
 libjs-mathjax,
 python3-enchant,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 sphinx-common
Standards-Version: 4.6.2
Homepage: https://docs.blender.org/manual/
Vcs-Browser: https://salsa.debian.org/JJRcop/blender-doc
Vcs-Git: https://salsa.debian.org/JJRcop/blender-doc.git -b master

Package: blender-doc
Architecture: all
Depends: ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax
Recommends: blender
Description: Blender Manual by the Blender Foundation
 This package contains the full Blender Manual in HTML format for offline use.
 It features all you need to know to get familiar with 3D modeling,
 video editing, and even digital painting with Blender.

## blender-doc 4.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Convenience targets provided for building docs.
 
-- livehtml (default)   to auto build on file changes on host on localhost.
+- html (default)       to build HTML documentation.
+- livehtml             to auto build HTML on file changes on host on localhost.
 - epubpdf              to convert an epub file to PDF.
 
 Translations
@@ -27,6 +28,15 @@
 ---------
 
 - update               to update the repository to the most recent version.
+- format_py            to auto-format Python scripts.
+
+Environment Variables
+---------------------
+
+- NO_INTERSPHINX
+  When non-zero & non-empty any build-targets that run sphinx will not use
+  'intersphinx' (which requires online access).
+
 endef
 # HELP_TEXT (end)
 
@@ -104,29 +114,33 @@
 		--pdf-page-margin-bottom 50 \
 
 check_syntax:
-	@python3 tools_rst/rst_check_syntax.py --long --title --kbd > rst_check_syntax.log
+	@python3 tools/check_source/check_syntax.py --long --title --kbd > rst_check_syntax.log
 	@echo "Lines:" `cat rst_check_syntax.log | wc -l`
-	@python3 tools/open_quickfix_in_editor.py rst_check_syntax.log
+	@python3 tools/utils_ide/open_quickfix_in_editor.py rst_check_syntax.log
 	@rm rst_check_syntax.log
 
 check_structure:
-	@python3 tools_rst/rst_check_images.py
+	@python3 tools/check_source/check_images.py
+	@python3 tools/check_source/check_structure.py
 
 check_spelling:
-	@python3 tools_rst/rst_check_spelling.py
+	@python3 tools/check_source/check_spelling.py
 
 checkout_locale:
-	@python3 ./tools_make/checkout_locale.py
+	@python3 ./build_files/utils/checkout_locale.py
 
 update_po:
-	@python3 ./tools_maintenance/update_po.py
+	@python3 ./tools/translations/update_po.py
 
 report_po_progress:
-	@python3 tools_report/report_translation_progress.py --quiet \
+	@python3 tools/translations/report_translation_progress.py --quiet \
 	         `find locale/ -maxdepth 1 -mindepth 1 -type d -not -iwholename '*.git*' -printf 'locale/%f\n' | sort`
 
 update:
-	@python3 ./tools_make/make_update.py
+	@python3 ./build_files/utils/make_update.py
+
+format_py:
+	@autopep8 --in-place --recursive .
 
 # ----------------------
 # Help for build targets

=== requirements.txt ===
sphinx==7.4.7

# Sphinx dependencies that are important
Jinja2==3.1.4
Pygments==2.18.0
docutils==0.21.2
snowballstemmer==2.2.0
babel==2.15.0
requests==2.32.3

# Only needed for building translations.
sphinx-intl==2.2.0

# Only needed to match the theme used for the official documentation.
# Without this theme, the default theme will be used.
furo==2024.08.06
sphinx-basic-ng==1.0.0b2

# Only for convenience, allows live updating while editing RST files.
# Access by running:
#   make livehtml
sphinx-autobuild==2024.10.3

# Required for spell-checking
pyenchant

=== debian/changelog ===
blender-doc (4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Declare binary package Multi-Arch: foreign.
    + Raise Standards-Version to 4.7.2 (no changes needed).
  * debian/copyright:
    + Update for blender-doc 4.3.
    + Update Free Software Foundation address (Lintian).
  * debian/patches:
    + Add a patch to disable quick feedback buttons.
    + Refresh other patches.
  * debian/source/lintian-overrides: remove file; no longer needed.

 -- Jonathan Rubenstein <jrubcop@gmail.com>  Sat, 05 Apr 2025 15:43:01 +0300

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
  dh-strip-nondeterminism,
+ furo,
  libjs-mathjax,
  python3-enchant,
  python3-sphinx,
- python3-sphinx-rtd-theme,
  sphinx-common
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://docs.blender.org/manual/
 Vcs-Browser: https://salsa.debian.org/JJRcop/blender-doc
 Vcs-Git: https://salsa.debian.org/JJRcop/blender-doc.git -b master
 
 Package: blender-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${sphinxdoc:Depends},
  libjs-mathjax

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_OPTIONS += nocheck

%:
	dh $@ --with sphinxdoc

override_dh_auto_clean:
	make clean

override_dh_auto_build:
	export http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=.
	dh_auto_build -- html

override_dh_auto_install:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=auto" \
https://projects.blender.org/blender/blender-manual.git \
refs/heads/blender-v([.\d]+)-release
